From cdd96d30f59be5dd4ec26a771630380c35d8655c Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Wed, 14 Oct 2020 22:00:25 -0400
Subject: [PATCH 04/19] gnu: claws-mail: Revise package inputs.

* gnu/packages/mail.scm (claws-mail): Remove obsolete inputs and
add new inputs.
[native-inputs]: Add bison, flex, gettext, gobject-introspection and
valgrind.
[inputs]: Add cairo, compface, dbus, fontconfig, gdk-pibuf, glib,
gumbo-parser, libcanberra-gtk, libgdata, librsvg, libsoup, nettle,
network-manager, openldap, poppler, python, python2-pygtk, tnef and
ytnef. Remove hicolor-icon-theme and libxml2.
---
 gnu/packages/mail.scm | 34 ++++++++++++++++++++++++++++++----
 1 file changed, 30 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 99b840f42e..c4c6f067d2 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -76,6 +76,7 @@
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages emacs)
   #:use-module (gnu packages enchant)
+  #:use-module (gnu packages fontutils)
   #:use-module (gnu packages gdb)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -103,10 +104,12 @@
   #:use-module (gnu packages m4)
   #:use-module (gnu packages man)
   #:use-module (gnu packages ncurses)
+  #:use-module (gnu packages nettle)
   #:use-module (gnu packages networking)
   #:use-module (gnu packages openldap)
   #:use-module (gnu packages onc-rpc)
   #:use-module (gnu packages pcre)
+  #:use-module (gnu packages pdf)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages perl-check)
   #:use-module (gnu packages perl-web)
@@ -129,6 +132,7 @@
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages valgrind)
   #:use-module (gnu packages version-control)
   #:use-module (gnu packages w3m)
   #:use-module (gnu packages web)
@@ -1359,32 +1363,54 @@ compresses it.")
                    (("/usr/share/mime/globs") globs)))
                #t))))))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("bison" ,bison)
+       ("flex" ,flex)
+       ("gettext" ,gettext-minimal)
+       ("gobject-introspection" ,gobject-introspection)
+       ("pkg-config" ,pkg-config)
+       ("valgrind" ,valgrind)))
     (inputs
      `(("bash" ,bash)
        ("bogofilter" ,bogofilter)
+       ("cairo" ,cairo)
+       ("compface" ,compface)
        ("curl" ,curl)
        ("dbus-glib" ,dbus-glib)
+       ("dbus" ,dbus)
        ("enchant" ,enchant)
        ("expat" ,expat)
+       ("fontconfig" ,fontconfig)
+       ("gdk-pxbuf" ,gdk-pixbuf+svg)
        ("ghostscript" ,ghostscript)
-       ("hicolor-icon-theme" ,hicolor-icon-theme)
+       ("glib" ,glib)
        ("gnupg" ,gnupg)
        ("gnutls" ,gnutls)
        ("gpgme" ,gpgme)
        ("gtk" ,gtk+-2)
+       ("gumbo-parser" ,gumbo-parser)
        ("libarchive" ,libarchive)
        ("libcanberra" ,libcanberra)
+       ("libcanberra-gtk" ,libcanberra/gtk+-2)
        ("libetpan" ,libetpan)
+       ("libgdata" ,libgdata)
        ("libical" ,libical)
        ("libnotify" ,libnotify)
+       ("librsvg" ,librsvg)
        ("libsm" ,libsm)
-       ("libxml2" ,libxml2)
+       ("libsoup" ,libsoup)
        ("mailutils" ,mailutils)
+       ("nettle" ,nettle)
+       ("networkmanager" ,network-manager)
+       ("openldap" ,openldap)
        ("perl" ,perl)
+       ("poppler" ,poppler)
+       ("python" ,python)
        ("python-2" ,python-2)
+       ("python2-pygtk" ,python2-pygtk)
        ("mime-info" ,shared-mime-info)
-       ("startup-notification" ,startup-notification)))
+       ("startup-notification" ,startup-notification)
+       ("tnef" ,tnef)
+       ("ytnef" ,ytnef)))
     (synopsis "GTK-based Email client")
     (description "Claws-Mail is an email client (and news reader) based on GTK+.
 The appearance and interface are designed to be familiar to new users coming
-- 
2.28.0

